// diblook.h : main header file for the DIBLOOK application
//
// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (C) 1992-1997 Microsoft Corporation
// All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"           // main symbols

#define WM_DOREALIZE   (WM_USER + 0)

/////////////////////////////////////////////////////////////////////////////
// CDibLookApp:
// See diblook.cpp for the implementation of this class
//

class CDibLookApp : public CWinApp
{
public:
	CDibLookApp();
	int m_show_blockgrid;
	int m_endpoint_snap;
	int m_optimize_coding;
	int m_copyoption;
	int m_width;
	int m_height;
	int m_xoffset;
	int m_yoffset;
	int m_drop_logo_pre;
	int m_drop_legend_pre;
	int m_define_frame;
	char m_path[5][256];
	char *m_sampptr[4];
	int m_cols;
	int m_rows;
	int m_x_spacing;
	int m_y_spacing;
	char m_com[256];
	int m_count;
	int m_appended;
	char m_list[20][256];
	char m_title[20][256];
	int m_crop_xoffset[20];
	int m_crop_yoffset[20];
	int m_crop_width[20];
	int m_crop_height[20];
	int m_MCUwidth[20];
	int m_MCUheight[20];
	int m_drop_logo[20];
	int m_drop_legend[20];
	int m_delete_flag[20];
	char m_filecomment[64];
	char m_logo_text[64];
	char m_logo_menu[64];
	char m_logo_info[128];
	char m_legend_text[4][64];
	char m_legend_menu[4][64];
	char m_legend_info[4][128];
	char m_filebase[4][128];

// Overrides
	virtual BOOL InitInstance();
#ifdef _MAC
	virtual BOOL CreateInitialDocument();
#endif

// Implementation

	//{{AFX_MSG(CDibLookApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFilePreferences();
	afx_msg void OnProjectAddFrame();
	afx_msg void OnProjectShowList();
	afx_msg void OnProjectSaveProjectAs();
	afx_msg void OnViewBlockGrid();
	afx_msg void OnOptionsEndpointSnap();
	afx_msg void OnUpdateViewBlockGrid(CCmdUI *pCmdUI);
	afx_msg void OnUpdateOptionsEndpointSnap(CCmdUI *pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
